> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an SNA Verification

Updates an ongoing EntityVerificationSession for an Entity to verify their phone via Method's SNA verification process.

Method will verify that the at least one of the URLs was accessed from a mobile device matching the Entity's phone number.

## Path Parameters

## Body

## Returns

Returns an Entity's verification session object.

```bash cURL theme={null}
curl https://production.methodfi.com/entities/ent_BYdNCVApmp7Gx/verification_sessions/evf_qTNNzCQ63zHJ9 \
  -X PUT \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "phone",
    "method": "sna",
    "sna": {}
  }'
```

```javascript Node.js theme={null}
const response = await method
  .entities("ent_BYdNCVApmp7Gx")
  .verificationSessions
  .update("evf_qTNNzCQ63zHJ9", {
    type: "phone",
    method: "sna",
    sna: {},
  });
```

```python Python theme={null}
response = method
  .entities('ent_BYdNCVApmp7Gx')
  .verification_sessions
  .update('evf_qTNNzCQ63zHJ9', {
    'type': 'phone',
    'method': 'sna',
    'sna': {}
  })
```

```json Response theme={null}
{
  "id": "evf_qTNNzCQ63zHJ9",
  "entity_id": "ent_BYdNCVApmp7Gx",
  "status": "verified",
  "type": "phone",
  "method": "sna",
  "sna": {
    "urls": [
      "https://production.methodfi.com/sna/evf_qTNNzCQ63zHJ9/sna_vrf_yAJRRk8djWLc8",
      "https://production.methodfi.com/sna/evf_qTNNzCQ63zHJ9/sna_vrf_8AhxN68kpkHmL"
    ]
  },
  "error": null,
  "created_at": "2024-04-10T22:15:57.874Z",
  "updated_at": "2024-04-10T22:15:57.874Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.